Skip to main content
POST
/
{customer_id}
/
payment-methods
/
{payment_method_id}
/
unenroll
Unenroll Payment Method
curl --request POST \
  --url https://api-sandbox.y.uno/v1/customers/{customer_id}/payment-methods/{payment_method_id}/unenroll \
  --header 'X-Idempotency-Key: <api-key>' \
  --header 'private-secret-key: <api-key>' \
  --header 'public-api-key: <api-key>'
"{\n    \"id\": \"cbdcc878-ceb4-4dd8-b0f0-49d444855de0\",\n    \"account_id\": \"493e9374-510a-4201-9e09-de669d75f256\",\n    \"name\": \"VISA ****1111\",\n    \"description\": \"VISA ****1111\",\n    \"type\": \"CARD\",\n    \"category\": \"CARD\",\n    \"country\": \"US\",\n    \"status\": \"UNENROLLED\",\n    \"created_at\": \"2024-06-06T13:32:49.715656Z\",\n    \"updated_at\": \"2024-06-06T13:37:38.891106Z\",\n    \"enrollment\": {\n        \"session\": \"\",\n        \"sdk_required_action\": true\n    },\n    \"provider\": {\n        \"id\": \"YUNO\",\n        \"type\": \"YUNO\",\n        \"provider_status\": null\n    },\n    \"verify\": {\n        \"vault_on_success\": false,\n        \"payment\": null\n    },\n    \"preferred\": null\n}"
Unenroll a saved payment method for the user. Once you’ve done the POST to the unenrollment endpoint, the payment method status will be changed to UNENROLLED.
Unenrollment InformationTo unenroll the payment method, you need to provide the payment_method_id, which is the vaulted_token received when using the Enroll Payment Method endpoint.

Authorizations

public-api-key
string
header
default:<Your public-api-key>
required
private-secret-key
string
header
default:<Your private-secret-key>
required
X-Idempotency-Key
string
header
default:<Your X-Idempotency-Key>
required

Path Parameters

customer_id
string
required

The unique identifier of the customer (UUID, 36 chars).

payment_method_id
string
required

The unique identifier of the payment method. This is the vaulted_token received when enrolling a payment method using Enroll Payment Method (UUID, 36 chars).

Response

200

id
string
Example:

"cbdcc878-ceb4-4dd8-b0f0-49d444855de0"

account_id
string
Example:

"493e9374-510a-4201-9e09-de669d75f256"

name
string
Example:

"VISA ****1111"

description
string
Example:

"VISA ****1111"

type
string
Example:

"CARD"

category
string
Example:

"CARD"

country
string
Example:

"US"

status
string
Example:

"UNENROLLED"

created_at
string
Example:

"2024-06-06T13:32:49.715656Z"

updated_at
string
Example:

"2024-06-06T13:37:38.891106Z"

enrollment
object
provider
object
verify
object
preferred
any